import { readFile } from 'fs/promises';

export const read = async <T>(path: string) => {
  const jsonBuffer = await readFile(path);
  const jsonString = jsonBuffer.toString('utf-8');
  return JSON.parse(jsonString) as T;
};
